function image(fileName)
    return love.graphics.newImage("resources/"..fileName)
end

function font(fileName, size)
    return love.graphics.newFont("resources/"..fileName, size)
end

function soundEffect(fileName)
    return love.audio.newSource("resources/"..fileName, "static")
end

function music(fileName)
    return love.audio.newSource("resources/"..fileName)
end

return {
    window = {
        width = nil,
        height = nil,
        vsync = true,
        caption = "GTP ONE",
        cursor = image 'cursor.png',
    },

    world = {
        tilesetImage = image "tileset.png",
        tilesWidth = 100,
        tilesHeight = 100,
        tileWorldSize = 1,
        tilePixelSize = 32,
        width = 100 * 1,
        height = 100 * 1,

        player = {
            radius = 0.25,
            --topSpeed = 0.1,
            accel = 10.0,
            skin = image 'player.png',
            health = 3,
        },

        minion = {
            radius = 0.25,
            --topSpeed = 2.0,
            accel = 5.0,
            visionRadius = 5.0,
            skin = image 'minion.png',
            health = 10,
            max = 20,
        },

        bullet = {
            skin = image 'fire.png',
            song = soundEffect 'banggun.wav',
            radius = 0.1,
            lifetime = 1,
        },

        powerup = {
            radius = 0.25,
            lifetime = 10,

            weapon = {
                beretta_92 = {
                },

                hk_mp5 = {
                },

                jackhammer = {
                },

                chance = 0.1,
            },

            health = {
                power = 1,
                chance = 0.05,
            },
        },
    },


    view = {
        font = font('edunline.ttf', 18),

        palette = {
            bg = {0, 65, 133}
        },
    },
}